<template>
  <div class="app">
    <div class="d-flex flex-column bg-primary text-white">
      <!-- Navigation links -->
      <div
        class="p-3 flex items-center justify-between text-surface-600 dark:text-surface-400 cursor-pointer rounded-md"
        @click="toggleMarketingMenu"
      >
        <span class="font-medium">MARKETING&emsp;</span>
        <i :class="`pi ${marketingMenuVisible ? 'pi-chevron-down' : 'pi-chevron-up'}`"></i>
      </div>

      <ul v-show="marketingMenuVisible" class="nav flex-column">
        <li class="nav-item my-1">
          <RouterLink to="/" class="nav-link" :class="{ active: $route.path === '/' }"
            >Gerente</RouterLink
          >
        </li>
        <li class="nav-item my-1">
          <RouterLink to="/asesor" class="nav-link" :class="{ active: $route.path === '/asesor' }"
            >Asesor</RouterLink
          >
        </li>
        <li class="nav-item my-1">
          <RouterLink
            to="/coordinador"
            class="nav-link"
            :class="{ active: $route.path === '/coordinador' }"
            >Coordinador</RouterLink
          >
        </li>
        <li class="nav-item my-1">
          <RouterLink
            to="/supervisor"
            class="nav-link"
            :class="{ active: $route.path === '/supervisor' }"
            >Supervisor</RouterLink
          >
        </li>
      </ul>
    </div>

    <div class="main">
      <RouterView />
    </div>
  </div>
</template>

<script setup>
import { ref } from 'vue'
import { RouterLink, RouterView } from 'vue-router'

const marketingMenuVisible = ref(true)

const toggleMarketingMenu = () => {
  marketingMenuVisible.value = !marketingMenuVisible.value
}
</script>

<style scoped></style>
